package com.gh.gamecenter.db.info;

import com.j256.ormlite.field.DatabaseField;
import com.j256.ormlite.table.DatabaseTable;

import java.io.Serializable;

@DatabaseTable(tableName = "tb_suspectedgame")
public class SuspectedGameInfo implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -5623387326449838895L;

	@DatabaseField(id = true, columnName = "packageName")
	private String packageName;

	@DatabaseField(columnName = "time")
	private long time;

	public SuspectedGameInfo() {

	}

	public SuspectedGameInfo(String packageName, long time) {
		super();
		this.packageName = packageName;
		this.time = time;
	}

	public String getPackageName() {
		return packageName;
	}

	public void setPackageName(String packageName) {
		this.packageName = packageName;
	}

	public long getTime() {
		return time;
	}

	public void setTime(long time) {
		this.time = time;
	}

	@Override
	public String toString() {
		return "SuspectedGameEntity [packageName=" + packageName + ", time="
				+ time + "]";
	}

}
